Bug 185738 - crash when diong close all windows
crash when diong close all windows
Product: Fedora
Classification: Fedora
Component: kdevelop (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-03-17 06:56 EST by Erwin Rol
Modified: 2008-05-06 20:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 20:27:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Erwin Rol 2006-03-17 06:56:00 EST
Description of problem:

After working with kdevelop 3.3.1-1.2 for a while, i closed all windows with the
"close all" menu entry from the "windows" menu. This caused kdevelop to crash. I
have seen this crash before, but it doesn't happen always.

Using host libthread_db library "/lib64/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 47789601731680 (LWP 2624)]
[New Thread 1084229968 (LWP 15156)]
[KCrash handler]
#5  0x0000003a13e14ff3 in QFont::QFont ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#6  0x00002b76e72c86d5 in QWidget::font (this=0x2f73640)
    at ../../../../include/qwidget.h:809
#7  0x00002b76e72c6900 in QXIMInputContext::setMicroFocus (this=0x16a1d90, 
    x=384, y=1069, h=16, f=0x0) at qximinputcontext_x11.cpp:763
#8  0x00002b76e6f8c8b2 in QMultiInputContext::setMicroFocus (this=0x16a10a0, 
    x=384, y=1069, w=0, h=16, f=0x0) at qmultiinputcontext.cpp:150
#9  0x0000003a13dc98a4 in QWidget::setMicroFocusHint ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#10 0x00002aaaab0a2eea in TEWidget::setCursorPos ()
   from /usr/lib64/kde3/libkonsolepart.so
#11 0x00002aaaab0b19be in TEmulation::showBulk ()
   from /usr/lib64/kde3/libkonsolepart.so
#12 0x00002aaaab0b2ccd in TEmulation::qt_invoke ()
   from /usr/lib64/kde3/libkonsolepart.so
#13 0x00002aaaab0ad2ab in TEmuVt102::qt_invoke ()
   from /usr/lib64/kde3/libkonsolepart.so
#14 0x0000003a13e5d009 in QObject::activate_signal ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#15 0x0000003a13e5d9b0 in QObject::activate_signal ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#16 0x0000003a13e80545 in QTimer::event ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#17 0x0000003a13dfc935 in QApplication::internalNotify ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#18 0x0000003a13dfde14 in QApplication::notify ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#19 0x0000003a132e1e78 in KApplication::notify (this=0x7fffffbc5390, 
    receiver=0x2f60e90, event=0x7fffffbc4f30) at kapplication.cpp:550
#20 0x0000003a13df1bb9 in QEventLoop::activateTimers ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#21 0x0000003a13dabb31 in QEventLoop::processEvents ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#22 0x0000003a13e141e1 in QEventLoop::enterLoop ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#23 0x0000003a13e140ba in QEventLoop::exec ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#24 0x000000000040736e in main (argc=) at main.cpp:145
#25 0x0000003a0f41d084 in __libc_start_main (main=0x406ba0 <main>, argc=3, 
    ubp_av=0x7fffffbc5638, init=) at libc-start.c:231
#26 0x0000000000406b09 in _start ()
#27 0x00007fffffbc5628 in ?? ()
#28 0x0000000000000000 in ?? ()
Current language:  auto; currently c
Comment 1 Bug Zapper 2008-04-03 13:08:32 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Bug Zapper 2008-05-06 20:27:01 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:

Note You need to log in before you can comment on or make changes to this bug.